namespace Tinkerforge
{
    public static class EBarometer
    {
        public static (byte MovingAveragePressure, byte AveragePressure, byte AverageTemperature) GetAveraging(
            this BrickletBarometer barometer)
        {
            barometer.GetAveraging(out byte movingAveragePressure, out byte averagePressure,
                out byte averageTemperature);
            return (movingAveragePressure, averagePressure, averageTemperature);
        }

        public static (char Option, int Min, int Max) GetAirPressureCallbackThreshold(this BrickletBarometer barometer)
        {
            barometer.GetAirPressureCallbackThreshold(out char option, out int min, out int max);
            return (option, min, max);
        }

        public static (char Option, int Min, int Max) GetAltitudeCallbackThreshold(this BrickletBarometer barometer)
        {
            barometer.GetAltitudeCallbackThreshold(out char option, out int min, out int max);
            return (option, min, max);
        }
    }
}
